$transition-duration: 0.35s;
$transition-scale: 1;

.casecomplete-modal {
	z-index: 30;

	.zs-modal-header {
		display: none;
	}

	&.ng-enter {
		opacity: 0;
	}

	&.ng-enter-active {
		opacity: 1;
	}

	&.ng-enter-active  {
		animation: casecomplete-modal-in #{$transition-duration};
	}

	&.ng-leave-active {
		animation: casecomplete-modal-out #{$transition-duration};
	}

}

.casecomplete-modal + mor-app {
	opacity: 0.5;
}

.casecomplete-modal.ng-enter-active + mor-app {
	animation: view-out #{$transition-duration};
}

.casecomplete-modal.ng-leave-active + mor-app {
	animation: view-in #{$transition-duration};
}

@keyframes casecomplete-modal-in {
	0%, 50% { transform: translateX(100%); }
	100% { transform: translateX(0); }
}

@keyframes casecomplete-modal-out {
	0% { transform: translateX(0); }
	50%, 100% { transform: translateX(100%); }
}

@keyframes view-in {
	0%, 50% {
		opacity: 0.5;
	}
	100% {
		opacity: 1;
	}

}

@keyframes view-out {
	0% {
		opacity: 1;
	}
	50%, 100% {
		opacity: 0.5;
	}
}
